Skip to content

Company Registry

Company Registry

Public company registry data for autocomplete. Search companies from government registries (e.g., AJPES for Slovenia) to auto-fill customer details.

Search company registry

GET/company-registry/search

Search public company registries for autocomplete. Returns matching companies from government data sources like AJPES (Slovenia). Use this to auto-fill customer details when creating invoices.

Query parameters

country_codestringrequired

ISO 3166-1 alpha-2 country code to search in (e.g., SI, AT, HR)

qstringrequired

Partial company name, tax number, registration number, address, city or postal code (min 2 characters; queries with at least three consecutive ASCII letters or digits after accent normalization and no backslash match anywhere; other queries match field prefixes). Names and addresses ignore case and accents. Identifier searches ignore case, spaces and hyphens and accept the selected country prefix (e.g. SI1234 or 1234). Exact identifier matches rank first.

limitstringoptional

Maximum number of results (default: 10, max: 50)

import SpaceInvoices from '@spaceinvoices/js-sdk/sdk';

const sdk = new SpaceInvoices('YOUR_API_KEY');

const response = await sdk.companyRegistry.searchCompanyRegistry({
  country_code: "SI",
  q: "SI1234"
}, {
  entity_id: "YOUR_ENTITY_ID"
});

console.log(response);

Returns

dataarray of objects
json
{
  "data": [
    {
      "id": "creg_abc123def456",
      "country_code": "SI",
      "registration_number": "1234567",
      "tax_number": "12345678",
      "name": "Nebula Systems d.o.o.",
      "address": "Slovenska cesta 1",
      "post_code": "1000",
      "city": "Ljubljana",
      "legal_form": "d.o.o.",
      "bank_accounts": [
        {
          "iban": "SI56 0201 0001 1234 567",
          "bank": "NLB",
          "is_active": true
        }
      ],
      "status": "active"
    }
  ]
}
Example:

Get supported countries

GET/company-registry/countries

Returns a list of country codes for which company registry data is available. Use this to conditionally show the company autocomplete feature based on entity's country.

Returns

dataarray of strings
json
{
  "data": [
    "SI"
  ]
}